*
{
    box-sizing: border-box;
}
.image-card
{
    position: relative;
    width: 100%;
}
.image-card img
{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.caption
{
    padding: 10px;
    position: absolute;
    bottom: 0px;
    color:antiquewhite;
    width:100%;
    background-color: rgba(0, 0, 0, 0.5);
}
#container
{
    width: 100%;
    display: grid;
    gap: 15px;
    grid-template-columns: repeat(auto-fit, minmax(600px, 1fr));
    grid-auto-rows: 400px;
}
@media (max-width: 600px) 
{
    #container
    {
        grid-template-columns: 1fr;
    }
}